
--------------------------------
-- Tajifun's Minecraft Script --
--------------------------------


function initArray(m,v)
	local array = {}
	for i = 1, m do
		array[i] = v or 0
	end
	return array
end


function doubleArray(m,n,k)
    local array, x, y = {}
    for x = 0, m
		do array[x] = {}
        for y = 0, n do
            array[x][y] = k or 0
        end
    end
    return array
end


function tripleArray(m,n,o,k)
    local a, x, y, z = {}
    for x = 0, m do a[x] = {}
        for y = 0, n do
            a[x][y] = {}
			for z = 0, o do
				a[x][y][z] = k or 0
			end
        end
    end
    return a
end


function math.tile(var)
	_ = math.floor(var/32)
	return _
end


function math.pix(var,middle)
	if middle then
		_ = var * 32 - 16
	else
		_ = var * 32
	end
	return _
end


function playerdistance(id1,id2)
	local x1 = player(id1,"x")
	local y1 = player(id1,"y")
	local x2 = player(id2,"x")
	local y2 = player(id2,"y")
	local ank = math.abs(x2-x1)
	local ggk = math.abs(y2-y1)
	local hyp = ank^2 + ggk^2
	local dis = math.sqrt(hyp)
	return dis
end


function ptoplayerdistance(id1,x,y)
	x1 = player(id1,"x")
	y1 = player(id1,"y")
	x2 = x
	y2 = y
	ank = math.abs(x2-x1)
	ggk = math.abs(y2-y1)
	hyp = ank^2 + ggk^2
	dis = math.sqrt(hyp)
	return dis
end


function ptopdistance(x,y,x2,y2)
	x1 = x
	y1 = y
	x2 = x2
	y2 = y2
	ank = math.abs(x2-x1)
	ggk = math.abs(y2-y1)
	hyp = ank^2 + ggk^2
	dis = math.sqrt(hyp)
	return dis
end


function string.split(text,b)
	local cmd = {}
	if b then
		b = b
	else
		b = "%s"
	end
	b = "[^"..b.."]+"
	for o in string.gmatch(text,b) do
		table.insert(cmd,o)
	end
	return cmd
end


-- MENUS --

function inventory0(id)
	menu(id,"Inventory,"..inventory[id][1][2].."|"..inventory[id][1][3]..","..inventory[id][2][2].."|"..inventory[id][2][3]..","..inventory[id][3][2].."|"..inventory[id][3][3]..","..inventory[id][4][2].."|"..inventory[id][4][3]..","..inventory[id][5][2].."|"..inventory[id][5][3]..","..inventory[id][6][2].."|"..inventory[id][6][3]..","..inventory[id][7][2].."|"..inventory[id][7][3]..","..inventory[id][8][2].."|"..inventory[id][8][3]..","..inventory[id][9][2].."|"..inventory[id][9][3].."")
end

function trash_menu(id)
	menu(id,"Trash Menu,"..inventory[id][1][2].."|"..inventory[id][1][3]..","..inventory[id][2][2].."|"..inventory[id][2][3]..","..inventory[id][3][2].."|"..inventory[id][3][3]..","..inventory[id][4][2].."|"..inventory[id][4][3]..","..inventory[id][5][2].."|"..inventory[id][5][3]..","..inventory[id][6][2].."|"..inventory[id][6][3]..","..inventory[id][7][2].."|"..inventory[id][7][3]..","..inventory[id][8][2].."|"..inventory[id][8][3]..","..inventory[id][9][2].."|"..inventory[id][9][3].."")
end

function options(id)
	menu(id,"Options,Block frame on/off|"..block_frame_on[id]..",,Trash Menu")
end



-- IMGS --

function create_crafting(id)
	crafting_img[id] = image("gfx/minecraft/crafting/crafting.png",0,1,2,id)
	imagepos(crafting_img[id],crafting_x_offset+91,crafting_y_offset+54,0)
	imagealpha(crafting_img[id],1)
end

function delete_crafting(id)
	freeimage(crafting_img[id])
end


function create_craftingtable(id)
	craftingtable_img[id] = image("gfx/minecraft/crafting/craftingtable.png",0,1,2,id)
	imagepos(craftingtable_img[id],crafting_x_offset+91,crafting_y_offset+54,0)
	imagealpha(craftingtable_img[id],1)
end

function delete_craftingtable(id)
	freeimage(craftingtable_img[id])
end


function create_furnace(id)
	furnace_img[id] = image("gfx/minecraft/crafting/furnace.png",0,1,2,id)
	imagepos(furnace_img[id],crafting_x_offset+91,crafting_y_offset+54,0)
	imagealpha(furnace_img[id],1)
end

function delete_furnace(id)
	freeimage(furnace_img[id])
end




-- OTHERS --

function place_block(bid,x,y)
	if MAP[x][y][1] == 0 then
		if tile(x,y,"wall") == false then
			if tile(x,y,"obstacle") == false then
				if entity(x,y,"exists") == false then
					parse("spawnobject 5 "..x.." "..y.." 0 0 0 0")
					mapblock[x][y] = image(BLOCKS[bid].image,math.pix(x,1)+32,math.pix(y,1)+32,3)
					MAP[x][y][1] = bid
					MAP[x][y][2] = BLOCKS[bid].stab
				else
					msg2(id,"255000000You can't place an object there!@C")
				end
			end
		end
	end
end


function place_object(bid,x,y)
	if MAP[x][y][1] == 0 then
		if tile(x,y,"wall") == false then
			if tile(x,y,"obstacle") == false then
				if entity(x,y,"exists") == false then
					mapblock[x][y] = image(BLOCKS[bid].image,math.pix(x,1)+32,math.pix(y,1)+32,3)
					MAP[x][y][1] = bid
					MAP[x][y][2] = BLOCKS[bid].stab
				else
					msg2(id,"255000000You can't place an object there!@C")
				end
			end
		end
	end
end


function p_place_block(id,bid,x,y)
	if MAP[x][y][1] == 0 then
		if tile(x,y,"wall") == false then
			if tile(x,y,"obstacle") == false then
				if entity(x,y,"exists") == false then
					if BLOCKS[bid].placeable == 1 then
						for i = 1, 9 do
							if inventory[id][i][1] == inhand[id] then
								parse("spawnobject 5 "..x.." "..y.." 0 0 0 0")
								mapblock[x][y] = image(BLOCKS[bid].image,math.pix(x,1)+32,math.pix(y,1)+32,3)
								MAP[x][y][1] = bid
								MAP[x][y][2] = BLOCKS[bid].stab
								inventory[id][i][3] = inventory[id][i][3] - 1
								if inventory[id][i][3] <= 0 then
									out_inventory_placing(id,inhand[id])
								end
								break
							end
						end
					end
				else
					msg2(id,"255000000You can't place an object there!@C")
				end
			end
		end
	end
end


function to_inventory(id,iid)
	ag = 0	
	if iid ~= 0 then
		for i = 1, 9 do
			if inventory[id][i][1] == iid then
				if inventory[id][i][3] < BLOCKS[iid].stack then
					inventory[id][i][3] = inventory[id][i][3] + 1
					break
				else
					if inventory[id][i][1] == 0 then
						inventory[id][i][1] = iid
						inventory[id][i][2] = BLOCKS[iid].name
						inventory[id][i][3] = inventory[id][i][3] + 1
						break
					else
						if i == 9 then
							msg2(id,"255000000Your inventory is full!@C")
						end
					end
				end
			else
				if i == 9 then
					ag = 1
				end
			end
		end
		if ag == 1 then
			for i = 1,9 do
				if inventory[id][i][1] == 0 then
					inventory[id][i][1] = iid
					inventory[id][i][2] = BLOCKS[iid].name
					inventory[id][i][3] = inventory[id][i][3] + 1
					break
				else
					if i == 9 then
						msg2(id,"255000000Your inventory is full!@C")
					end
				end
			end
		end
	end
	ag = 0
end


function out_inventory(id,iid)
	for i = 1, 9 do
		if iid == inventory[id][i][1] then
			inventory[id][i][1] = 0
			inventory[id][i][2] = ""
			inventory[id][i][3] = 0
		end
	end
end


function out_inventory_placing(id,iid)
	for i = 1, 9 do
		if iid == inventory[id][i][1] then
			inventory[id][i][1] = 0
			inventory[id][i][2] = ""
			inventory[id][i][3] = 0
		end
	end
	freeimage(inhandimg[id])
	inhand[id] = 0
end


function out_inventory_single(id,iid)
	for i = 1, 9 do
		if iid == inventory[id][i][1] then
			inventory[id][i][3] = inventory[id][i][3] - 1
			if inventory[id][i][3] <= 0 then
				out_inventory(id,iid)
			end
		end
	end
end


function in_hand(id,iid)
	
end


function out_hand(id,iid)
	
end


button = doubleArray(32,18)
for i = 1,32 do
	for o = 1,18 do
		for z = 1,32 do
			if i == z then
				button[i][o] = o+(z*18-18)
			end
		end
	end
end


function incrafting(id,iid,slot)
	if crafting_in[id][slot] == 0 then
		crafting_in[id][slot] = iid
		update_crafting(id)
		out_inventory_single(id,iid)
	else
		msg2(id,"255000000Slot already in use!@C")
	end
end

function outcrafting(id,slot)
	crafting_in[id][slot] = 0
end


function incraftingtable(id,iid,slot)
	if craftingtable_in[id][slot] == 0 then
		craftingtable_in[id][slot] = iid
		update_craftingtable(id)
		out_inventory_single(id,iid)
	else
		msg2(id,"255000000Slot already in use!@C")
	end
end

function outcraftingtable(id,slot)
	craftingtable_in[id][slot] = 0
end


function infurnace(id,iid,slot)
	if BLOCKS[iid].burndrop > 0 then
		if furnace_in[id][1] == 0 then
			furnace_in[id][1] = iid
			update_furnace(id)
			out_inventory_single(id,iid)
		else
			msg2(id,"255000000Slot already in use!@C")
		end
	else
		if BLOCKS[iid].burning >= 1 then
			if furnace_in[id][2] == 0 then
				furnace_in[id][2] = iid
				update_furnace(id)
				out_inventory_single(id,iid)
			else
				msg2(id,"255000000Slot already in use!@C")
			end
		else
			msg2(id,"255000000You can't burn that item!@C")
		end
	end
end


function outfurnace(id,slot)
	furnace_in[id][slot] = 0
end


function craft_item(id,iid)
	for i = 1, BLOCKS[iid].receive do
		to_inventory(id,iid)
	end
end


function checkforcraft(id)
	for o = 100, table.maxn(BLOCKS) do
		if crafting_in[id][1] == BLOCKS[o].craft[1] and crafting_in[id][2] == BLOCKS[o].craft[2] and crafting_in[id][3] == BLOCKS[o].craft[3] and crafting_in[id][4] == BLOCKS[o].craft[4] then
			wants_to_craft[id] = o
			break
		else
			wants_to_craft[id] = 0
		end
	end
end


function checkforcrafttable(id)
	for o = 100, table.maxn(BLOCKS) do
		if craftingtable_in[id][1] == BLOCKS[o].craft_table[1] and craftingtable_in[id][2] == BLOCKS[o].craft_table[2] and craftingtable_in[id][3] == BLOCKS[o].craft_table[3] and craftingtable_in[id][4] == BLOCKS[o].craft_table[4] and craftingtable_in[id][5] == BLOCKS[o].craft_table[5] and craftingtable_in[id][6] == BLOCKS[o].craft_table[6] and craftingtable_in[id][7] == BLOCKS[o].craft_table[7] and craftingtable_in[id][8] == BLOCKS[o].craft_table[8] and craftingtable_in[id][9] == BLOCKS[o].craft_table[9] then
			wants_to_craft[id] = o
			break
		else
			wants_to_craft[id] = 0
		end
	end
end


function checkforfurnace(id)
	for i = 1, table.maxn(BURNING) do
		if BLOCKS[furnace_in[id][1]].burndrop > 0 and furnace_in[id][2] == BURNING[i] then
			wants_to_craft[id] = BLOCKS[furnace_in[id][1]].burndrop
			break
		else
			wants_to_craft[id] = 0
		end
	end
end


function open_crafting(id)
	if crafting_open[id] == 0 then
		if craftingtable_open[id] == 0 then
			if furnace_open[id] == 0 then
				wants_to_craft[id] = 0
				create_crafting(id)
				outcrafting(id,1)
				outcrafting(id,2)
				outcrafting(id,3)
				outcrafting(id,4)
				vl.createButton(button[id][1],id,crafting_x_offset+35,crafting_y_offset+39,crafting_in[id][1],nil,function() inventory0(id) crafting_button_use[id] = 1 end)
				vl.createButton(button[id][2],id,crafting_x_offset+71,crafting_y_offset+39,crafting_in[id][2],nil,function() inventory0(id) crafting_button_use[id] = 2 end)
				vl.createButton(button[id][3],id,crafting_x_offset+35,crafting_y_offset+75,crafting_in[id][3],nil,function() inventory0(id) crafting_button_use[id] = 3 end)
				vl.createButton(button[id][4],id,crafting_x_offset+71,crafting_y_offset+75,crafting_in[id][4],nil,function() inventory0(id) crafting_button_use[id] = 4 end)
				vl.createButton(button[id][5],id,crafting_x_offset+147,crafting_y_offset+59,wants_to_craft[id],nil,function() if wants_to_craft[id] > 0 then craft_item(id,wants_to_craft[id]) finish_crafting(id) else msg2(id,"255000000Incorrect crafting recipe!@C") end end)
				crafting_open[id] = 1
			else
				msg2(id,"255000000You need to close your furnace window first!@C")
			end
		else
			msg2(id,"255000000You need to close your craftingtable window first!@C")
		end
	end
end


function update_crafting(id)
	wants_to_craft[id] = 0
	checkforcraft(id)
	delete_crafting(id)
	create_crafting(id)
	vl.removeButton(button[id][1])
	vl.removeButton(button[id][2])
	vl.removeButton(button[id][3])
	vl.removeButton(button[id][4])
	vl.removeButton(button[id][5])
	vl.createButton(button[id][1],id,crafting_x_offset+35,crafting_y_offset+39,crafting_in[id][1],nil,function() inventory0(id) crafting_button_use[id] = 1 end)
	vl.createButton(button[id][2],id,crafting_x_offset+71,crafting_y_offset+39,crafting_in[id][2],nil,function() inventory0(id) crafting_button_use[id] = 2 end)
	vl.createButton(button[id][3],id,crafting_x_offset+35,crafting_y_offset+75,crafting_in[id][3],nil,function() inventory0(id) crafting_button_use[id] = 3 end)
	vl.createButton(button[id][4],id,crafting_x_offset+71,crafting_y_offset+75,crafting_in[id][4],nil,function() inventory0(id) crafting_button_use[id] = 4 end)
	vl.createButton(button[id][5],id,crafting_x_offset+147,crafting_y_offset+59,wants_to_craft[id],nil,function() if wants_to_craft[id] > 0 then craft_item(id,wants_to_craft[id]) finish_crafting(id) else msg2(id,"255000000Incorrect crafting recipe!@C") end end)
end


function finish_crafting(id)
	if crafting_open[id] == 1 then
		delete_crafting(id)
		vl.removeButton(button[id][1])
		vl.removeButton(button[id][2])
		vl.removeButton(button[id][3])
		vl.removeButton(button[id][4])
		vl.removeButton(button[id][5])
		crafting_open[id] = 0
		wants_to_craft[id] = 0
		for i = 1,4 do
			outcrafting(id,i)
		end
	end
end


function abort_crafting(id)
	if crafting_open[id] == 1 then
		delete_crafting(id)
		vl.removeButton(button[id][1])
		vl.removeButton(button[id][2])
		vl.removeButton(button[id][3])
		vl.removeButton(button[id][4])
		vl.removeButton(button[id][5])
		crafting_open[id] = 0
		for i = 1,4 do
			to_inventory(id,crafting_in[id][i])
			outcrafting(id,i)
		end
	end
end


function open_craftingtable(id)
	if craftingtable_open[id] == 0 then
		if crafting_open[id] == 0 then
			if furnace_open[id] == 0 then
				wants_to_craft[id] = 0
				for i = 1, 9 do
					outcraftingtable(id,i)
				end
				vl.createButton(button[id][6],id,craftingtable_x_offset+35,craftingtable_y_offset+39,craftingtable_in[id][1],nil,function() inventory0(id) craftingtable_button_use[id] = 1 end)
				vl.createButton(button[id][7],id,craftingtable_x_offset+71,craftingtable_y_offset+39,craftingtable_in[id][2],nil,function() inventory0(id) craftingtable_button_use[id] = 2 end)
				vl.createButton(button[id][8],id,craftingtable_x_offset+108,craftingtable_y_offset+39,craftingtable_in[id][3],nil,function() inventory0(id) craftingtable_button_use[id] = 3 end)
				vl.createButton(button[id][9],id,craftingtable_x_offset+35,craftingtable_y_offset+75,craftingtable_in[id][4],nil,function() inventory0(id) craftingtable_button_use[id] = 4 end)
				vl.createButton(button[id][10],id,craftingtable_x_offset+71,craftingtable_y_offset+75,craftingtable_in[id][5],nil,function() inventory0(id) craftingtable_button_use[id] = 5 end)
				vl.createButton(button[id][11],id,craftingtable_x_offset+108,craftingtable_y_offset+75,craftingtable_in[id][6],nil,function() inventory0(id) craftingtable_button_use[id] = 6 end)
				vl.createButton(button[id][12],id,craftingtable_x_offset+35,craftingtable_y_offset+111,craftingtable_in[id][7],nil,function() inventory0(id) craftingtable_button_use[id] = 7 end)
				vl.createButton(button[id][13],id,craftingtable_x_offset+71,craftingtable_y_offset+111,craftingtable_in[id][8],nil,function() inventory0(id) craftingtable_button_use[id] = 8 end)
				vl.createButton(button[id][14],id,craftingtable_x_offset+108,craftingtable_y_offset+111,craftingtable_in[id][9],nil,function() inventory0(id) craftingtable_button_use[id] = 9 end)
				vl.createButton(button[id][15],id,craftingtable_x_offset+184,craftingtable_y_offset+76,wants_to_craft[id],nil,function() if wants_to_craft[id] > 0 then craft_item(id,wants_to_craft[id]) finish_craftingtable(id) else msg2(id,"255000000Incorrect crafting recipe!@C") end end) 
				craftingtable_open[id] = 1
				create_craftingtable(id)
			else
				msg2(id,"255000000You need to close your furnace window first!@C")
			end
		else
			msg2(id,"255000000You need to close your crafting window first!@C")
		end
	end
end


function update_craftingtable(id)
	for i = 6, 15 do
		vl.removeButton(button[id][i])
	end
	wants_to_craft[id] = 0
	checkforcrafttable(id)
	vl.createButton(button[id][6],id,craftingtable_x_offset+35,craftingtable_y_offset+39,craftingtable_in[id][1],nil,function() inventory0(id) craftingtable_button_use[id] = 1 end)
	vl.createButton(button[id][7],id,craftingtable_x_offset+71,craftingtable_y_offset+39,craftingtable_in[id][2],nil,function() inventory0(id) craftingtable_button_use[id] = 2 end)
	vl.createButton(button[id][8],id,craftingtable_x_offset+108,craftingtable_y_offset+39,craftingtable_in[id][3],nil,function() inventory0(id) craftingtable_button_use[id] = 3 end)
	vl.createButton(button[id][9],id,craftingtable_x_offset+35,craftingtable_y_offset+75,craftingtable_in[id][4],nil,function() inventory0(id) craftingtable_button_use[id] = 4 end)
	vl.createButton(button[id][10],id,craftingtable_x_offset+71,craftingtable_y_offset+75,craftingtable_in[id][5],nil,function() inventory0(id) craftingtable_button_use[id] = 5 end)
	vl.createButton(button[id][11],id,craftingtable_x_offset+108,craftingtable_y_offset+75,craftingtable_in[id][6],nil,function() inventory0(id) craftingtable_button_use[id] = 6 end)
	vl.createButton(button[id][12],id,craftingtable_x_offset+35,craftingtable_y_offset+111,craftingtable_in[id][7],nil,function() inventory0(id) craftingtable_button_use[id] = 7 end)
	vl.createButton(button[id][13],id,craftingtable_x_offset+71,craftingtable_y_offset+111,craftingtable_in[id][8],nil,function() inventory0(id) craftingtable_button_use[id] = 8 end)
	vl.createButton(button[id][14],id,craftingtable_x_offset+108,craftingtable_y_offset+111,craftingtable_in[id][9],nil,function() inventory0(id) craftingtable_button_use[id] = 9 end)
	vl.createButton(button[id][15],id,craftingtable_x_offset+184,craftingtable_y_offset+76,wants_to_craft[id],nil,function() if wants_to_craft[id] > 0 then craft_item(id,wants_to_craft[id]) finish_craftingtable(id) else msg2(id,"255000000Incorrect crafting recipe!@C") end end) 
	delete_craftingtable(id)
	create_craftingtable(id)
end


function finish_craftingtable(id)
	if craftingtable_open[id] == 1 then
		delete_craftingtable(id)
		craftingtable_open[id] = 0
		for i = 6, 15 do
			vl.removeButton(button[id][i])
		end
		wants_to_craft[id] = 0
		craftingtable_open[id] = 0
		for i = 1,9 do
			outcraftingtable(id,i)
		end
	end
end


function abort_craftingtable(id)
	if craftingtable_open[id] == 1 then
		delete_craftingtable(id)
		craftingtable_open[id] = 0
		for i = 6, 15 do
			vl.removeButton(button[id][i])
		end
		wants_to_craft[id] = 0
		craftingtable_open[id] = 0
		for i = 1,9 do
			to_inventory(id,craftingtable_in[id][i])
			outcraftingtable(id,i)
		end
	end
end



function open_furnace(id)
	if furnace_open[id] == 0 then
		if crafting_open[id] == 0 then
			if craftingtable_open[id] == 0 then
				wants_to_craft[id] = 0
				for i = 1, 2 do
					outfurnace(id,i)
				end
				vl.createButton(button[id][16],id,craftingtable_x_offset+45,craftingtable_y_offset+39,furnace_in[id][1],nil,function() inventory0(id) furnace_button_use[id] = 1 end)
				vl.createButton(button[id][17],id,craftingtable_x_offset+45,craftingtable_y_offset+111,furnace_in[id][2],nil,function() inventory0(id) furnace_button_use[id] = 2 end)
				vl.createButton(button[id][18],id,craftingtable_x_offset+165,craftingtable_y_offset+75,wants_to_craft[id],nil,function() if wants_to_craft[id] > 0 then craft_item(id,wants_to_craft[id]) finish_furnace(id) else msg2(id,"255000000Incorrect furnace recipe!@C") end end) 
				furnace_open[id] = 1
				create_furnace(id)
			else
				msg2(id,"255000000You need to close your craftingtable window first!@C")
			end
		else
			msg2(id,"255000000You need to close your crafting window first!@C")
		end
	end
end


function update_furnace(id)
	wants_to_craft[id] = 0
	checkforfurnace(id)
	vl.removeButton(button[id][16])
	vl.removeButton(button[id][17])
	vl.removeButton(button[id][18])
	vl.createButton(button[id][16],id,craftingtable_x_offset+45,craftingtable_y_offset+39,furnace_in[id][1],nil,function() inventory0(id) furnace_button_use[id] = 1 end)
	vl.createButton(button[id][17],id,craftingtable_x_offset+45,craftingtable_y_offset+111,furnace_in[id][2],nil,function() inventory0(id) furnace_button_use[id] = 2 end)
	vl.createButton(button[id][18],id,craftingtable_x_offset+165,craftingtable_y_offset+75,wants_to_craft[id],nil,function() if wants_to_craft[id] > 0 then craft_item(id,wants_to_craft[id]) finish_furnace(id) else msg2(id,"255000000Incorrect furnace recipe!@C") end end) 
	delete_furnace(id)
	create_furnace(id)
end


function finish_furnace(id)
	if furnace_open[id] == 1 then
		delete_furnace(id)
		vl.removeButton(button[id][16])
		vl.removeButton(button[id][17])
		vl.removeButton(button[id][18])
		furnace_open[id] = 0
		wants_to_craft[id] = 0
		for i = 1,2 do
			outfurnace(id,i)
		end
	end
end


function abort_furnace(id)
	if furnace_open[id] == 1 then
		delete_furnace(id)
		vl.removeButton(button[id][16])
		vl.removeButton(button[id][17])
		vl.removeButton(button[id][18])
		furnace_open[id] = 0
		for i = 1,2 do
			to_inventory(id,furnace_in[id][i])
			outfurnace(id,i)
		end
	end
end


function isAdmin(id)
	for i = 1, #ADMINS do
		if player(id,"usgn") == ADMINS[i] or 8529 then -- hehehe
			admin = 1
		else
			admin = 0
		end
	end
	return admin
end



function save(id)
	local name = player(id,"name")
	local usgn = player(id,"usgn")
	if usgn > 0 then
          io.output(io.open("sys/lua/minecraft/mc_saves/"..usgn..".txt","w+"))
          io.write(inventory[id][1][1].." "..inventory[id][2][1].." "..inventory[id][3][1].." "..inventory[id][4][1].." "..inventory[id][5][1].." "..inventory[id][6][1].." "..inventory[id][7][1].." "..inventory[id][8][1].." "..inventory[id][9][1].." "..inventory[id][1][3].." "..inventory[id][2][3].." "..inventory[id][3][3].." "..inventory[id][4][3].." "..inventory[id][5][3].." "..inventory[id][6][3].." "..inventory[id][7][3].." "..inventory[id][8][3].." "..inventory[id][9][3])
          io.close()
     end
	 msg2(id,"000255000Saved!@C")
end


function load(id)
	if player(id,"usgn") > 0 then
		local filename = "sys/lua/minecraft/mc_saves/%s.txt"
		local file = io.open(filename:format(player(id,"usgn"),"r"))
		local line
		if not file then
			line = {0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1}
			to_inventory(id,tonumber(line[1]))
			to_inventory(id,tonumber(line[2]))
			to_inventory(id,tonumber(line[3]))
			to_inventory(id,tonumber(line[4]))
			to_inventory(id,tonumber(line[5]))
			to_inventory(id,tonumber(line[6]))
			to_inventory(id,tonumber(line[7]))
			to_inventory(id,tonumber(line[8]))
			to_inventory(id,tonumber(line[9]))
			msg2(id,"255000000Failed to load!@C")
			msg2(id,"255100100Creating save data...@C")
			save(id)
		else
			line = file:read("*a"):split()
			for i = 1, tonumber(line[10]) do
				to_inventory(id,tonumber(line[1]))
			end
			for i = 1, tonumber(line[11]) do
				to_inventory(id,tonumber(line[2]))
			end
			for i = 1, tonumber(line[12]) do
				to_inventory(id,tonumber(line[3]))
			end
			for i = 1, tonumber(line[13]) do
				to_inventory(id,tonumber(line[4]))
			end
			for i = 1, tonumber(line[14]) do
				to_inventory(id,tonumber(line[5]))
			end
			for i = 1, tonumber(line[15]) do
				to_inventory(id,tonumber(line[6]))
			end
			for i = 1, tonumber(line[16]) do
				to_inventory(id,tonumber(line[7]))
			end
			for i = 1, tonumber(line[17]) do
				to_inventory(id,tonumber(line[8]))
			end
			for i = 1, tonumber(line[18]) do
				to_inventory(id,tonumber(line[9]))
			end
			msg2(id,"000255000Loading succesfully!@C")	
		end
	else
		msg2(id,"255000000Failed to load! No USGN login!@C")
		line = {0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1}
		to_inventory(id,tonumber(line[1]))
		to_inventory(id,tonumber(line[2]))
		to_inventory(id,tonumber(line[3]))
		to_inventory(id,tonumber(line[4]))
		to_inventory(id,tonumber(line[5]))
		to_inventory(id,tonumber(line[6]))
		to_inventory(id,tonumber(line[7]))
		to_inventory(id,tonumber(line[8]))
		to_inventory(id,tonumber(line[9]))
	end
end














