
--------------------------------
-- Tajifun's Minecraft Script --
--------------------------------


-- WEAPONTYPES: (wpn/droponly)
-- 1 = Sword
-- 2 = Pickaxe
-- 3 = Axe
-- 4 = Shovel
-- 5 = Shears

-- WEAPON LVLS: (wpndestroy)
-- 1 = Wood
-- 2 = Gold
-- 3 = Stone
-- 4 = Iron
-- 5 = Diamond


BLOCKS = {

	[0] = {
		name = "Empty",
		image = "gfx/minecraft/blocks/wood.png",
	},
	
	------------
	-- BLOCKS --
	------------
	
	[1] = {
		name = "Wood",
		image = "gfx/minecraft/blocks/wood.png",
		himage = "gfx/minecraft/blocks/wood_h.png",
		wpn = 3,
		stab = 7,
		drop = 1,
		stack = 64,
		burning = 1,
	},
	
	[2] = {
		name = "Stone",
		image = "gfx/minecraft/blocks/stone.png",
		himage = "gfx/minecraft/blocks/stone_h.png",
		wpn = 2,
		stab = 10,
		drop = 3,
		droponly = 2,
		stack = 64,
	},
	
	[3] = {
		name = "Cobblestone",
		image = "gfx/minecraft/blocks/cobblestone.png",
		himage = "gfx/minecraft/blocks/cobblestone_h.png",
		wpn = 2,
		stab = 10,
		drop = 3,
		droponly = 2,
		stack = 64,
		burndrop = 2,
	},
	
	[4] = {
		name = "Dirt",
		image = "gfx/minecraft/blocks/dirt.png",
		himage = "gfx/minecraft/blocks/dirt_h.png",
		wpn = 4,
		stab = 2,
		drop = 4,
		stack = 64,
	},
	
	[5] = {
		name = "Sand",
		image = "gfx/minecraft/blocks/sand.png",
		himage = "gfx/minecraft/blocks/sand_h.png",
		wpn = 4,
		stab = 2,
		drop = 5,
		stack = 64,
		burndrop = 8,
	},
	
	[6] = {
		name = "Leaves",
		image = "gfx/minecraft/blocks/leaves.png",
		himage = "gfx/minecraft/blocks/leaves_h.png",
		wpn = 5,
		stab = 1,
		drop = 6,
		droponly = 5,
		stack = 64,
	},
	
	[7] = {
		name = "Obsidian",
		image = "gfx/minecraft/blocks/obsidian.png",
		himage = "gfx/minecraft/blocks/obsidian_h.png",
		wpn = 5,
		stab = 30,
		drop = 7,
		droponly = 2,
		wpndestroy = 5,
		stack = 64,
	},
	
	[8] = {
		name = "Glass",
		image = "gfx/minecraft/blocks/glass.png",
		himage = "gfx/minecraft/blocks/glass_h.png",
		wpn = 1,
		stab = 1,
		drop = 8,
		stack = 64,
	},
	
	[9] = {
		name = "Coal Ore",
		image = "gfx/minecraft/blocks/coal_ore.png",
		himage = "gfx/minecraft/blocks/coal_ore_h.png",
		wpn = 2,
		stab = 10,
		drop = 13,
		droponly = 2,
		stack = 64,
		burndrop = 13,
	},
	
	[10] = {
		name = "Iron Ore",
		image = "gfx/minecraft/blocks/iron_ore.png",
		himage = "gfx/minecraft/blocks/iron_ore_h.png",
		wpn = 2,
		stab = 15,
		drop = 10,
		droponly = 2,
		wpndestroy = 3,
		stack = 64,
		burndrop = 14,
	},
	
	[11] = {
		name = "Gold Ore",
		image = "gfx/minecraft/blocks/gold_ore.png",
		himage = "gfx/minecraft/blocks/gold_ore_h.png",
		wpn = 2,
		stab = 15,
		drop = 11,
		droponly = 6,
		wpndestroy = 4,
		stack = 64,
		burndrop = 15,
	},
	
	[12] = {
		name = "Diamond Ore",
		image = "gfx/minecraft/blocks/diamond_ore.png",
		himage = "gfx/minecraft/blocks/diamond_ore_h.png",
		wpn = 2,
		stab = 15,
		drop = 16,
		droponly = 2,
		wpndestroy = 4,
		stack = 64,
		burndrop = 16,
	},
	
	[13] = {
		name = "Coal",
		image = "gfx/minecraft/items/coal.png",
		himage = "gfx/minecraft/items/coal_h.png",
		wpn = 2,
		stab = 15,
		drop = 13,
		droponly = 2,
		stack = 64,
		placeable = 0,
		burning = 1,
	},
	
	[14] = {
		name = "Iron Ingot",
		image = "gfx/minecraft/items/iron_ingot.png",
		himage = "gfx/minecraft/items/iron_ingot_h.png",
		wpn = 2,
		stab = 15,
		drop = 14,
		droponly = 2,
		stack = 64,
		placeable = 0,
	},
	
	[15] = {
		name = "Gold Ingot",
		image = "gfx/minecraft/items/gold_ingot.png",
		himage = "gfx/minecraft/items/gold_ingot_h.png",
		wpn = 2,
		stab = 15,
		drop = 15,
		droponly = 2,
		stack = 64,
		placeable = 0,
	},
	
	[16] = {
		name = "Diamond",
		image = "gfx/minecraft/items/diamond.png",
		himage = "gfx/minecraft/items/diamond_h.png",
		wpn = 2,
		stab = 15,
		drop = 16,
		droponly = 2,
		stack = 64,
		placeable = 0,
	},
	
	--------------------
	-- CRAFTING ITEMS --
	--------------------
	
	[100] = {
		name = "Wooden Sword",
		image = "gfx/minecraft/items/wooden_sword.png",
		himage = "gfx/minecraft/items/wooden_sword_h.png",
		type = 1,
		stab = 20,
		dmg = 4,
		dmgadd = 1,
		wpnlvl = 1,
		craft = {1337,0,0,0},
		craft_table = {0,106,0,0,106,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[101] = {
		name = "Wooden Pickaxe",
		image = "gfx/minecraft/items/wooden_pickaxe.png",
		himage = "gfx/minecraft/items/wooden_pickaxe_h.png",
		type = 2,
		stab = 40,
		dmg = 1,
		dmgadd = 1,
		wpnlvl = 1,
		craft = {1337,0,0,0},
		craft_table = {106,106,106,0,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[102] = {
		name = "Wooden Axe",
		image = "gfx/minecraft/items/wooden_axe.png",
		himage = "gfx/minecraft/items/wooden_axe_h.png",
		type = 3,
		stab = 40,
		dmg = 1,
		dmgadd = 1,
		wpnlvl = 1,
		craft = {1337,0,0,0},
		craft_table = {106,106,0,106,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[103] = {
		name = "Wooden Shovel",
		image = "gfx/minecraft/items/wooden_shovel.png",
		himage = "gfx/minecraft/items/wooden_shovel_h.png",
		type = 4,
		stab = 40,
		dmg = 1,
		dmgadd = 1,
		wpnlvl = 1,
		craft = {1337,0,0,0},
		craft_table = {0,106,0,0,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[104] = {
		name = "Crafting Table",
		image = "gfx/minecraft/blocks/crafting_table.png",
		himage = "gfx/minecraft/blocks/crafting_table_h.png",
		wpn = 3,
		stab = 3,
		drop = 104,
		stack = 64,
		craft = {106,106,106,106},
		craft_table = {106,106,0,106,106,0,0,0,0},
		receive = 1,
	},
	
	[105] = {
		name = "Furnace",
		image = "gfx/minecraft/blocks/furnace.png",
		himage = "gfx/minecraft/blocks/furnace_h.png",
		wpn = 2,
		stab = 4,
		drop = 105,
		stack = 64,
		craft = {1337,0,0,0},
		craft_table = {3,3,3,3,0,3,3,3,3},
		receive = 1,
	},
	
	[106] = {
		name = "Wooden Planks",
		image = "gfx/minecraft/blocks/wooden_planks.png",
		himage = "gfx/minecraft/blocks/wooden_planks_h.png",
		wpn = 3,
		stab = 3,
		drop = 106,
		stack = 64,
		craft = {1,0,0,0},
		craft_table = {1,0,0,0,0,0,0,0,0},
		receive = 4,
		burning = 1,
	},
	
	[107] = {
		name = "Stick",
		image = "gfx/minecraft/items/stick.png",
		himage = "gfx/minecraft/items/stick_h.png",
		wpn = 3,
		stab = 3,
		drop = 107,
		stack = 64,
		craft = {106,0,106,0},
		craft_table = {106,0,0,106,0,0,0,0,0},
		receive = 4,
		placeable = 0,
		burning = 1,
	},
	
	[108] = {
		name = "Stone Sword",
		image = "gfx/minecraft/items/stone_sword.png",
		himage = "gfx/minecraft/items/stone_sword_h.png",
		type = 1,
		stab = 20,
		dmg = 5,
		dmgadd = 2,
		wpnlvl = 3,
		craft = {1337,0,0,0},
		craft_table = {0,3,0,0,3,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[109] = {
		name = "Stone Pickaxe",
		image = "gfx/minecraft/items/stone_pickaxe.png",
		himage = "gfx/minecraft/items/stone_pickaxe_h.png",
		type = 2,
		stab = 40,
		dmg = 1,
		dmgadd = 2,
		wpnlvl = 3,
		craft = {1337,0,0,0},
		craft_table = {3,3,3,0,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[110] = {
		name = "Stone Axe",
		image = "gfx/minecraft/items/stone_axe.png",
		himage = "gfx/minecraft/items/stone_axe_h.png",
		type = 3,
		stab = 40,
		dmg = 1,
		dmgadd = 2,
		wpnlvl = 3,
		craft = {1337,0,0,0},
		craft_table = {3,3,0,3,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[111] = {
		name = "Stone Shovel",
		image = "gfx/minecraft/items/stone_shovel.png",
		himage = "gfx/minecraft/items/stone_shovel_h.png",
		type = 4,
		stab = 40,
		dmg = 1,
		dmgadd = 2,
		wpnlvl = 3,
		craft = {1337,0,0,0},
		craft_table = {0,3,0,0,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[112] = {
		name = "Shears",
		image = "gfx/minecraft/items/shears.png",
		himage = "gfx/minecraft/items/shears_h.png",
		type = 5,
		stab = 40,
		dmg = 1,
		dmgadd = 1,
		craft = {0,14,14,0},
		craft_table = {0,0,14,0,14,0,0,0,0},
		receive = 1,
		placeable = 0,
	},
	
	[113] = {
		name = "Iron Sword",
		image = "gfx/minecraft/items/iron_sword.png",
		himage = "gfx/minecraft/items/iron_sword_h.png",
		type = 1,
		stab = 20,
		dmg = 5,
		dmgadd = 2.5,
		wpnlvl = 4,
		craft = {1337,0,0,0},
		craft_table = {0,14,0,0,14,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[114] = {
		name = "Iron Pickaxe",
		image = "gfx/minecraft/items/iron_pickaxe.png",
		himage = "gfx/minecraft/items/iron_pickaxe_h.png",
		type = 2,
		stab = 40,
		dmg = 1,
		dmgadd = 2.5,
		wpnlvl = 4,
		craft = {1337,0,0,0},
		craft_table = {14,14,14,0,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[115] = {
		name = "Iron Axe",
		image = "gfx/minecraft/items/iron_axe.png",
		himage = "gfx/minecraft/items/iron_axe_h.png",
		type = 3,
		stab = 40,
		dmg = 1,
		dmgadd = 2.5,
		wpnlvl = 4,
		craft = {1337,0,0,0},
		craft_table = {14,14,0,14,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[116] = {
		name = "Iron Shovel",
		image = "gfx/minecraft/items/iron_shovel.png",
		himage = "gfx/minecraft/items/iron_shovel_h.png",
		type = 4,
		stab = 40,
		dmg = 1,
		dmgadd = 2.5,
		wpnlvl = 4,
		craft = {1337,0,0,0},
		craft_table = {0,14,0,0,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[117] = {
		name = "Gold Sword",
		image = "gfx/minecraft/items/gold_sword.png",
		himage = "gfx/minecraft/items/gold_sword_h.png",
		type = 1,
		stab = 20,
		dmg = 5,
		dmgadd = 1.5,
		wpnlvl = 2,
		craft = {1337,0,0,0},
		craft_table = {0,15,0,0,15,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[118] = {
		name = "Gold Pickaxe",
		image = "gfx/minecraft/items/gold_pickaxe.png",
		himage = "gfx/minecraft/items/gold_pickaxe_h.png",
		type = 2,
		stab = 40,
		dmg = 1,
		dmgadd = 1.5,
		wpnlvl = 2,
		craft = {1337,0,0,0},
		craft_table = {15,15,15,0,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[119] = {
		name = "Gold Axe",
		image = "gfx/minecraft/items/gold_axe.png",
		himage = "gfx/minecraft/items/gold_axe_h.png",
		type = 3,
		stab = 40,
		dmg = 1,
		dmgadd = 1.5,
		wpnlvl = 2,
		craft = {1337,0,0,0},
		craft_table = {15,15,0,15,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[120] = {
		name = "Gold Shovel",
		image = "gfx/minecraft/items/gold_shovel.png",
		himage = "gfx/minecraft/items/gold_shovel_h.png",
		type = 4,
		stab = 40,
		dmg = 1,
		dmgadd = 1.5,
		wpnlvl = 2,
		craft = {1337,0,0,0},
		craft_table = {0,15,0,0,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[121] = {
		name = "Diamond Sword",
		image = "gfx/minecraft/items/diamond_sword.png",
		himage = "gfx/minecraft/items/diamond_sword_h.png",
		type = 1,
		stab = 20,
		dmg = 5,
		dmgadd = 4,
		wpnlvl = 5,
		craft = {1337,0,0,0},
		craft_table = {0,16,0,0,16,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[122] = {
		name = "Diamond Pickaxe",
		image = "gfx/minecraft/items/diamond_pickaxe.png",
		himage = "gfx/minecraft/items/diamond_pickaxe_h.png",
		type = 2,
		stab = 40,
		dmg = 1,
		dmgadd = 4,
		wpnlvl = 5,
		craft = {1337,0,0,0},
		craft_table = {16,16,16,0,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[123] = {
		name = "Diamond Axe",
		image = "gfx/minecraft/items/diamond_axe.png",
		himage = "gfx/minecraft/items/diamond_axe_h.png",
		type = 3,
		stab = 40,
		dmg = 1,
		dmgadd = 4,
		wpnlvl = 5,
		craft = {1337,0,0,0},
		craft_table = {16,16,0,16,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[124] = {
		name = "Diamond Shovel",
		image = "gfx/minecraft/items/diamond_shovel.png",
		himage = "gfx/minecraft/items/diamond_shovel_h.png",
		type = 4,
		stab = 40,
		dmg = 1,
		dmgadd = 4,
		wpnlvl = 5,
		craft = {1337,0,0,0},
		craft_table = {0,16,0,0,107,0,0,107,0},
		receive = 1,
		placeable = 0,
	},
	
	[125] = {
		name = "Diamond Block",
		image = "gfx/minecraft/blocks/diamond_block.png",
		himage = "gfx/minecraft/blocks/diamond_block_h.png",
		wpn = 4,
		stab = 20,
		drop = 125,
		droponly = 2,
		wpndestroy = 4,
		stack = 64,
		craft = {1337,0,0,0},
		craft_table = {16,16,16,16,16,16,16,16,16},
	},
	
}

BURNING = {1,13,106,107}


for i = 1, table.maxn(BLOCKS) do
	if not BLOCKS[i] then
		BLOCKS[i] = {}
		BLOCKS[i].name = "NAME_NOT_SET"
		BLOCKS[i].image = "IMAGE_NOT_SET"
		BLOCKS[i].himage = "HIMAGE_NOT_SET"
	end
end


for k, v in pairs(BLOCKS) do
	v.placeable = v.placeable or 1
	v.drawmode = v.drawmode or 2
	v.dmgadd = v.dmgadd or 0
	v.droponly = v.droponly or 0
	v.type = v.type or 0
	v.burndrop = v.burndrop or 0
	v.receive = v.receive or 1
	v.type = v.type or 0
	v.wpndestroy = v.wpndestroy or 0
	v.wpnlvl = v.wpnlvl or 0
	v.burning = v.burning or 0
	v.stack = v.stack or 1
end


function return_BLOCKS(name)
	for i = 1, table.maxn(BLOCKS) do
		if BLOCKS[i].name == name then
			return i
		end
	end
end













